diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 015aab4291829d9f503513c517e2d88f9de1047d..0bbb530918302685827eb1f8524925941f7453b3 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -66,8 +66,7 @@ fi
 
 mkdir -p "$outdir"
 
-case "$command" in /*) command="$target_exec $command" ;; esac
-eval $command > "$outfile" 2>/dev/null || exit
+$command > "$outfile" 2>/dev/null || exit
 
 case $cmp in
     diff)   diff -u -w "$ref" "$outfile"            ;;